Subject: Re: bug#30299: [core-updates] shepherd fails tests on all systems except x86_64

From: Mark H Weaver <[email-masked]>
Date: Wed, 14 Feb 2018 04:16:52 -0500

Mark H Weaver <[email-masked]> writes:

> On core-updates, Hydra has been unable to successfully build 'shepherd'
> on any system except x86_64-linux.  I can also report that on my
> mips64el-linux GuixSD system, which is running something close to
> 'core-updates', I had to disable tests on shepherd in order to build it.
> I don't know about aarch64-linux.
>
> These are the tests that commonly fail:
>
>   FAIL: tests/respawn.sh
>   FAIL: tests/respawn-throttling.sh
>   FAIL: tests/basic.sh

FYI, after 18 failed attempts, Hydra finally built shepherd on i686
successfully on the 19th try:

  https://hydra.gnu.org/build/2425454#tabs-buildsteps

Now that I've added Ludovic's patch, hopefully it will require fewer
attempts this time :)

       Mark